Loading...
Searching...
No Matches
Opm::WellGroupControls< Scalar, IndexTraits > Class Template Reference

Class for computing well group controls. More...

`#include <WellGroupControls.hpp>`

## Public Types

using | RateConvFunc

## Public Member Functions

| WellGroupControls (const WellInterfaceGeneric< Scalar, IndexTraits > &well)
| Constructor sets reference to well.
template<class EvalWell>

void

getGroupInjectionControl (const Group &group, const WellState< Scalar, IndexTraits > &well_state, const GroupState< Scalar > &group_state, const Schedule &schedule, const SummaryState &summaryState, const InjectorType &injectorType, const EvalWell &bhp, const EvalWell &injection_rate, const RateConvFunc &rateConverter, Scalar efficiencyFactor, EvalWell &control_eq, DeferredLogger &deferred_logger) const

std::optional< Scalar > | getGroupInjectionTargetRate (const Group &group, const WellState< Scalar, IndexTraits > &well_state, const GroupState< Scalar > &group_state, const Schedule &schedule, const SummaryState &summaryState, const InjectorType &injectorType, const RateConvFunc &rateConverter, Scalar efficiencyFactor, DeferredLogger &deferred_logger) const
template<class EvalWell>
void | getGroupProductionControl (const Group &group, const WellState< Scalar, IndexTraits > &well_state, const GroupState< Scalar > &group_state, const Schedule &schedule, const SummaryState &summaryState, const EvalWell &bhp, const std::vector< EvalWell > &rates, const RateConvFunc &rateConverter, Scalar efficiencyFactor, EvalWell &control_eq, DeferredLogger &deferred_logger) const
Scalar | getGroupProductionTargetRate (const Group &group, const WellState< Scalar, IndexTraits > &well_state, const GroupState< Scalar > &group_state, const Schedule &schedule, const SummaryState &summaryState, const RateConvFunc &rateConverter, Scalar efficiencyFactor, DeferredLogger &deferred_logger) const

## Static Public Member Functions

static std::pair< Scalar, Group::ProductionCMode >

getAutoChokeGroupProductionTargetRate (const std::string &name, const Group &parent, const WellState< Scalar, IndexTraits > &well_state, const GroupState< Scalar > &group_state, const Schedule &schedule, const SummaryState &summaryState, const std::vector< Scalar > &resv_coeff, Scalar efficiencyFactor, const int reportStepIdx, const GuideRate *guideRate, DeferredLogger &deferred_logger)

## Detailed Description

template<typename Scalar, typename IndexTraits>
class Opm::WellGroupControls< Scalar, IndexTraits >

Class for computing well group controls.

## Member Typedef Documentation

## RateConvFunc

template<typename Scalar, typename IndexTraits>

using Opm::WellGroupControls< Scalar, IndexTraits >::RateConvFunc

Initial value:
std::function<void(const RegionId, const int,
const std::optional<std::string>&, std::vector<Scalar>&)>

The documentation for this class was generated from the following files:

- opm/simulators/wells/WellGroupControls.hpp
- opm/simulators/wells/WellGroupControls.cpp